"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnequalGridHeightError = void 0;
/**
 * An error that is thrown when the actual grid height is not the same as the expected grid height
 */
class UnequalGridHeightError extends Error {
    type = UnequalGridHeightError.name;
    /**
     @param expectedHeight The expected height of the grid
     @param actualHeight The actual height of the grid
     */
    constructor(expectedHeight, actualHeight) {
        super(`The grid must have exactly ${expectedHeight} columns. Given grid height: ${actualHeight}`);
    }
}
exports.UnequalGridHeightError = UnequalGridHeightError;
